/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */
body { overflow-x: hidden; }

/* Header Customizations -- Alex */
.rc-header-row .fl-menu ul.menu { width: 100%; height: calc(100vh - 80px); background: #000000; z-index: 999; top: 90px; padding: 116px 16px 56px 16px; cursor: url(assets/image/close.svg) 24 24, auto; font-size: 0; line-height: 0; }
.rc-header-row .fl-menu ul.menu .menu-item { display: flex; width: 100%; line-height: normal; align-items: center; justify-content: center; margin-top: -7px; }
.rc-header-row .fl-menu ul.menu .menu-item a { padding: 16px 0; display: inline-block; color: #fff; font-family: 'Cinzel'; text-transform: uppercase; letter-spacing: 1px; font-size: 36px; line-height: normal; transition: 0.5s; opacity: 0.68; }
.rc-header-row .fl-menu ul.menu .menu-item a:hover { opacity: 1; letter-spacing: 4px; }
.rc-header-row .fl-menu ul.menu:after { content: url(assets/image/RC-Logo-250.png); position: absolute; bottom: 90px; left: 0; right: 0; margin: 0 auto; cursor: pointer; transform: scale(0.85); opacity: 1; display: flex; align-items: center; justify-content: center; }
.mfp-bg { backdrop-filter: blur(16px); -webkit-backdrop-filter: blur(16px); }

/* Footer Customizations -- Alex  */
footer.fl-builder-content .rc-footer-logo-heading a, footer.fl-builder-content .menu-item a { display: inline-block; }
footer.fl-builder-content #gform_2 { display: flex; align-items: center; flex-direction: row; }
footer.fl-builder-content #gform_2 .gform-footer.gform_footer.top_label { padding: 0; margin: 0; }
footer.fl-builder-content #gform_2 .gform-footer.gform_footer.top_label input#gform_submit_button_2 { margin-bottom: 0; }
.rc-footer-logo-heading { font-size: clamp(60px, 15.5vw, 210px); }

/* WooCommerce Customizations -- Alex  */
form.woocommerce-ordering .orderby { border: 2px solid #000; border-radius: 0 !important; padding: 8px; }
.quantity .input-text.qty { border: 2px solid #000 !IMPORTANT; border-radius: 0; font-size: 21px; line-height: normal; padding: 23px 0 !important; width: auto; }
.woocommerce div.product form.cart div.quantity { margin-right: 8px !important; }
.fl-post-grid-post { background: transparent; border: none; }
.woocommerce div.product .related.products, .woocommerce-page div.product .related.products { display: inline-block; }
.woocommerce div.product .related.products ul.products, .woocommerce-page div.product .related.products ul.products { padding-top: 0; }
.woocommerce ul.products li.product .woocommerce-loop-product__title { font-size: 24px; padding-bottom: 4px; padding-top: 0; }
span.woocommerce-Price-amount.amount { font-size: 18px; }
body.has-blocks .fl-post-content .alignwide { margin: 0; }
.wc-block-components-quantity-selector { border: 2px solid #000; border-radius: 0; }
.wc-block-components-quantity-selector button.wc-block-components-quantity-selector__button.wc-block-components-quantity-selector__button--minus, .wc-block-components-quantity-selector button.wc-block-components-quantity-selector__button.wc-block-components-quantity-selector__button--plus { background: #000; opacity: 1; border-radius: 0; color: #fff; }
.wc-block-cart-item__remove-link svg { fill: #ff0000 !important; }
table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name { font-size: 20px; }
:root :where(.wp-element-button, .wp-block-button__link) { background: #000; font-family: 'Cinzel'; font-size: 24px; padding: 8px 16px !important; line-height: normal; min-height: auto !important; border: 4px solid #000 !important; text-transform: uppercase; letter-spacing: 1px; border-radius: 0; }
:root :where(.wp-element-button:hover, .wp-block-button__link):hover { background: transparent; color: #000; text-decoration: none; }
.uabb-cart-style-off-canvas ul.cart_list li a.remove { border-color: #ff0000; color: #ff0000; }
.wc-block-components-form .wc-block-components-text-input input[type=email], .wc-block-components-form .wc-block-components-text-input input[type=number], .wc-block-components-form .wc-block-components-text-input input[type=password], .wc-block-components-form .wc-block-components-text-input input[type=tel], .wc-block-components-form .wc-block-components-text-input input[type=text], .wc-block-components-form .wc-block-components-text-input input[type=url], .wc-block-components-text-input input[type=email], .wc-block-components-text-input input[type=number], .wc-block-components-text-input input[type=password], .wc-block-components-text-input input[type=tel], .wc-block-components-text-input input[type=text], .wc-block-components-text-input input[type=url] { border-radius: 0px; border: 2px solid #dadada; }
.wc-block-components-form .wc-block-components-text-input input[type=email]:focus, .wc-block-components-form .wc-block-components-text-input input[type=number]:focus, .wc-block-components-form .wc-block-components-text-input input[type=password]:focus, .wc-block-components-form .wc-block-components-text-input input[type=tel]:focus, .wc-block-components-form .wc-block-components-text-input input[type=text]:focus, .wc-block-components-form .wc-block-components-text-input input[type=url]:focus, .wc-block-components-text-input input[type=email]:focus, .wc-block-components-text-input input[type=number]:focus, .wc-block-components-text-input input[type=password]:focus, .wc-block-components-text-input input[type=tel]:focus, .wc-block-components-text-input input[type=text]:focus, .wc-block-components-text-input input[type=url]:focus { border-width: 2px !important; }
.wc-blocks-components-select .wc-blocks-components-select__select { border-radius: 0 !important; border-width: 2px !important; border-color: #dadada; }
.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title .wc-block-components-checkout-order-summary__title-text { font-family: 'Cinzel'; color: #000; }
.rc-products-adnimation figure.fl-module-photo { overflow: hidden; }
.rc-products-adnimation figure.fl-module-photo .fl-photo-img { transition: 0.3s; }
.rc-products-adnimation:hover figure.fl-module-photo .fl-photo-img { transform: scale(1.3); }
.rc-product-posts--home .fl-post-module-woo-ordering { display: none; }
.woocommerce ul.products { font-size: 0; }
section.related.products .uabb-woocommerce ul.products.columns-4 li.product { margin-right: 10px; width: calc(100% / 4 - 8px); }
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product { max-width: inherit; }
.uabb-woo-products-summary-wrap { margin-top: 10px; }
body.tax-product_cat .products .product { margin-bottom: 40px !important; }
body.tax-product_cat .products .product h2.woocommerce-loop-product__title { padding-top: 10px; }
.woocommerce a.button, .woocommerce-page a.button, .woocommerce button.button, .woocommerce-page button.button, .woocommerce input.button, .woocommerce-page input.button, .woocommerce #respond input#submit, .woocommerce-page #respond input#submit, .woocommerce #content input.button, .woocommerce-page #content input.button {padding: 12px 24px; }
.fl-node-yt6z9gxf3a0q .uabb-woocommerce .woocommerce-loop-product__title {margin-bottom: 0px;}
/* Other CSS -- Alex  */
.rc-section-banner--style, .rc-footer-top-section-style { position: relative; }
/* .rc-section-banner--style { top: -30px; } */
.rc-section-banner--style:after { content: ''; position: absolute; bottom: -2vw; left: -0.1vw; right: -0.1vw; background-size: 107% 100px; background-position: 50% 100%; background-repeat: no-repeat; z-index: 3; pointer-events: none; background-image: url(assets/image/section-style-bottom.svg); width: 100%; height: 94px; }
body.home .rc-section-banner--style:after { content: none; }
.uabb-woo-product-wrapper .uabb-woo-products-summary-wrap { background: #fff; margin-top:0;padding: 15px; }
.rc-banner--home .pp-spacer-module { min-height: 70vh; }
.arrow-to-scroll {
  display: inline-block;
  animation: arrowFloat 1.5s ease-in-out infinite;
}

@keyframes arrowFloat {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
  }
  100% {
    transform: translateY(0);
  }
}
.home .fl-page-content {
    position: relative;
    background-color: #f2f2f2;
}
.home .fl-page-content::before{ content: ""; position: fixed; inset: 0; background-image: url("assets/image/Banner_CU-Hero.gif"); background-repeat: no-repeat; background-position: center top 46%; background-size: clamp(340px, 17vw, 680px); z-index: 0; pointer-events: none; }

.home .fl-page-content > * {
    position: relative;
    z-index: 1;
}
body.home .rc-footer-top-section-style:before { background-image: url(assets/image/section-footer-style-top.svg) !important; }
body.home .rc-footer-logo-heading a { color: #f2f2f2 !important; }
header {position: relative;     z-index: 11;}
.fl-page>header:after, .rc-header-row .fl-menu ul.menu:before, .rc-footer-top-section-style:before { content: ''; position: absolute; bottom: -0.1vw; left: -0.1vw; right: -0.1vw; top: -0.1vw; background-size: 162% 78px; background-position: 44% 0%; background-repeat: no-repeat; transform: rotateY(180deg); z-index: 3; pointer-events: none; background-image: url(assets/image/section-style-top.svg); width: 100%; height: 90px; }
.fl-page>header:after { top: unset; bottom: -65px; z-index: 9; }
.rc-header-row .fl-menu ul.menu:before { width: 100%; height: 90px; top: -0.5vw; }
.rc-banner--home .fl-row-content-wrap { background-size: 80%; background-position: center 100%; }
body.home .rc-section-banner--style:after { background-image: url(assets/image/section-style-bottom--home.svg); bottom: -2.1vw; }
.rc-footer-top-section-style:before { top: 0vw; }
.woocommerce .related h2, .woocommerce-page .related h2 { margin: 20px auto; max-width: inherit; }
body .mfp-wrap button.mfp-close { background-color: #fff !important; opacity: 1; }
body .mfp-wrap button.mfp-close:hover { background: #000000 !important; }
body .mfp-wrap button.mfp-close span { color: #000; }
body .mfp-wrap button.mfp-close:hover span { color: #fff; }
.fl-row-bg-video .fl-bg-video video { width: 100% !important; object-fit: cover !important; object-position: center center !important; scale: 1.2; }
.rc-banner-audio-button { position: absolute; font-size: 0; bottom: 14px; right: 0px; width: 40px; height: 40px; }
.rc-banner-audio-button:before { content: ''; background-image: url(assets/image/unmute.svg); width: 40px; height: 40px; background-color: #fff; position: absolute; top: -40px; left: 0; display: inline-block; line-height: normal; border-radius: 100px; box-shadow: -2px 2px 10px -3px #000; cursor: pointer; background-position: center center; background-repeat: no-repeat; background-size: 60%; }
.rc-banner-audio-button.active:before { background-image: url(assets/image/mute.svg); }

/* Responsive CSS -- Alex  */
@media screen and (min-width:993px) {
    .woocommerce.columns-4 .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce-page.columns-4 .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce.woo-4.archive .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce-page.woo-4.archive .uabb-woocommerce ul.products.columns-4 li.product { width: 25% !important; }
}
@media screen and (max-width:992px) {
    .fl-page>header:after, .rc-header-row .fl-menu ul.menu:before, .rc-footer-top-section-style:before, .rc-section-banner--style:after { background-size: 500% 77%; }
    .rc-footer-top-section-style:before{ top: -0.6vw; }
    .rc-section-banner--style { top: 0px; }
    .rc-banner--home .fl-row-content-wrap { background-size: 150%; background-position: center 50%; }
    .woocommerce.columns-4 .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce-page.columns-4 .uabb-woocommerce ul.products.columns-4 li.product{ width: 33.33% !important; }
    .rc-footer-logo-heading { font-size: clamp(60px, 15vw, 210px); }
}
@media screen and (max-width:768px) {
    section.related.products ul.products.columns-4 { display: flex; flex-wrap: wrap; }
    section.related.products .uabb-woocommerce ul.products.columns-4 li.product { margin-right: 10px; width: calc(100% / 2 - 5px); max-width: inherit; margin-left: inherit; }
    section.related.products .uabb-woocommerce ul.products.columns-4 li.product:nth-child(2n) { margin-right: 0; }
    .woocommerce .related h2, .woocommerce-page .related h2 { font-size: 30px; }
    .mfp-container .fl-search-form-input-wrap { width: 100% !important; }
    .rc-header-row .fl-menu ul.menu .menu-item a { font-size: 24px; padding: 12px 0; }
    .woocommerce.columns-4 .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce-page.columns-4 .uabb-woocommerce ul.products.columns-4 li.product { width: 50% !important; }
    .rc-footer-logo-heading { font-size: clamp(60px, 13.5vw, 210px); }
    .home .fl-page-content::before {  background-position: center top 40%; background-size: clamp(260px, 25vw, 680px); }
    .rc-banner--home .pp-spacer-module { min-height: 58vh; }
}
@media screen and (max-width:768px) and (orientation: landscape){
  .uabb-woo-products-grid .uabb-woo-product__column-mobile-2 ul.products li.product, .woocommerce .uabb-woo-products-grid .uabb-woo-product__column-mobile-2 ul.products li.product, .woocommerce-page .uabb-woo-products-grid .uabb-woo-product__column-mobile-2 ul.products li.product { width: 25%; }
}
@media screen and (max-width:520px) {
    section.related.products .uabb-woocommerce ul.products.columns-4 li.product { margin-right: 0px; width: calc(100% / 1); max-width: inherit; margin-left: inherit; }
    .woocommerce.columns-4 .uabb-woocommerce ul.products.columns-4 li.product, .woocommerce-page.columns-4 .uabb-woocommerce ul.products.columns-4 li.product{ width: 100% !important; }
    .rc-footer-logo-heading { font-size: clamp(45px, 12vw, 210px); }
    .rc-footer-top-section-style:before{ background-size: 410% 50%;}
    .woocommerce-page ul.products li.product a.button, .woocommerce-page .woocommerce-message a.button, .woocommerce-page .woocommerce-message a.button.wc-forward, .woocommerce-page .woocommerce a.button.wc-forward, .woocommerce-page button.button, .woocommerce-page button.button.alt, .woocommerce-page a.button, .woocommerce-page a.button.alt, .woocommerce-page .woocommerce button[type=submit], .woocommerce-page button[type=submit].alt.disabled {font-size: 18px; }
}